2014-05-15 08:53  castaglia

	* contrib/dist/rpm/proftpd.spec, include/version.h:
	  Preparing files for release.

2014-05-15 08:51  castaglia

	* locale/files.txt:
	  Updated list of files for localization.

2014-05-09 07:52  castaglia

	* RELEASE_NOTES:
	  Fleshing out release notes for upcoming release.

2014-05-05 09:15  castaglia

	* contrib/mod_sql_passwd.c:
	  Use sql_log() instead of pr_log_debug(), so that the logging is
	  consistently done in the module.  There may still be a few
	  outliers.

2014-05-04 16:15  castaglia

	* doc/contrib/mod_sql_passwd.html:
	  Updated SQLPasswordPBKDF2 docs in light of Bug#4052.

2014-05-04 16:11  castaglia

	* tests/t/lib/ProFTPD/Tests/Modules/mod_sql_passwd.pm:
	  Added regression test for Bug#4052.

2014-05-04 16:11  castaglia

	* NEWS, contrib/mod_sql_passwd.c:
	  Bug#4052 - Enhance SQLPasswordPBKDF2 to support per-user query
	  for settings.

2014-05-04 12:49  castaglia

	* doc/contrib/mod_site_misc.html:
	  Emphasize that both acces and mod times are set by SITE UTIME.

2014-05-04 12:27  castaglia

	* NEWS, modules/mod_facl.c:
	  Backport of fix for Bug#4044 to 1.3.4 branch.

2014-05-04 12:26  castaglia

	* NEWS, modules/mod_facl.c:
	  Bug#4044 - mod_facl prevents a normal SIGHUP reload.

2014-05-03 15:19  castaglia

	* NEWS, modules/mod_core.c:
	  Backport of fix for Bug#4042 to 1.3.4 branch.

2014-05-03 15:18  castaglia

	* NEWS, modules/mod_core.c:
	  Bug#4042 - MIC command between RNFR and RNTO should not be
	  rejected.

2014-05-02 14:13  castaglia

	* NEWS, contrib/mod_exec.c:
	  Bug#4049 - mod_exec should include supplemental groups when
	  running commands as logged-in user.

2014-04-30 10:33  castaglia

	* contrib/mod_ban.c:
	  As a follow-on to the fix for Bug#4048, add some "headroom" to
	  the SHM segment, to allow for multiple racing/competing processes
	  incrementing indices.

2014-04-30 08:58  castaglia

	* NEWS, contrib/mod_ban.c:
	  Backport of fix for Bug#4048 to 1.3.4 branch.

2014-04-30 08:56  castaglia

	* NEWS, contrib/mod_ban.c:
	  Bug#4048 - Race condition in mod_ban can lead to segfault of all
	  new connections.

2014-04-28 10:12  castaglia

	* modules/mod_xfer.c:
	  Backporting tweaks from Bug#4046 in trunk to 1.3.4 branch.

2014-04-28 10:11  castaglia

	* modules/mod_xfer.c:
	  Slightly better fix for Bug#4046; less chance of overflowing the
	  off_t datatype on filesystems with lots of free space.

2014-04-28 10:06  castaglia

	* NEWS, modules/mod_xfer.c:
	  Backport of fix for Bug#4046 to 1.3.4 branch.

2014-04-28 10:05  castaglia

	* NEWS, modules/mod_xfer.c:
	  Bug#4046 - ALLO command failed because of bad size check.

2014-03-26 11:22  castaglia

	* doc/howto/TLS.html:
	  Typo.

2014-03-19 08:35  castaglia

	* contrib/mod_tls.c:
	  Bug#4039 - Fix compile error in mod_tls, when built using newer
	  OpenSSL versions.  This is a regression caused by Bug#4029.

2014-03-13 11:06  castaglia

	* doc/howto/Chroot.html:
	  Fix broken link, per Bug#4038.

2014-03-08 09:46  castaglia

	* tests/t/lib/ProFTPD/Tests/Config/DeleteAbortedStores.pm:
	  Adding some regression tests for the DeleteAbortedStores
	  directive, for when timeouts kick in and kill the session.

2014-03-08 09:44  castaglia

	* modules/mod_xfer.c:
	  If a session dies in the middle of a data transfer, make sure
	  that the path in the fake cmd_rec is correct.  It was empty,
	  which led to some misleading logging.

2014-03-08 08:58  castaglia

	* NEWS, contrib/mod_tls.c:
	  Bug#4024 - TLS 1.1/1.2 configurable, but not properly
	  implemented.

2014-03-05 09:43  castaglia

	* contrib/mod_tls.c:
	  When seeing OpenSSL's PRNG manually, use gettimeofday(2) rather
	  than time(3).

2014-03-05 09:43  castaglia

	* contrib/mod_tls.c:
	  When seeding OpenSSL's PRNG manually, use gettimeofday(2) instead
	  of time(3).

2014-03-03 23:56  castaglia

	* NEWS, contrib/mod_sftp/auth.c:
	  Backport of fix for Bug#4034 to 1.3.4 branch.

2014-03-03 23:54  castaglia

	* tests/t/lib/ProFTPD/Tests/Modules/mod_sftp.pm:
	  Adding regression tests for Bug#4034.

2014-03-03 23:54  castaglia

	* NEWS, contrib/mod_sftp/auth.c:
	  Bug#4034 - SSH publickey authentication fails with
	  "MaxLoginAttempts 1".

2014-03-02 21:40  castaglia

	* doc/contrib/mod_sftp.html:
	  Add mod_sftp FAQ about pointing an SSH client (*not* SFTP or SCP)
	  at mod_sftp, and why that connection would fail.

2014-03-02 14:11  castaglia

	* doc/contrib/mod_sftp.html:
	  Document the AllowInsecureLogin SFTPOption.

2014-03-02 14:05  castaglia

	* contrib/mod_sftp/: auth-kbdint.c, auth-password.c, mod_sftp.c,
	  mod_sftp.h.in:
	  Add a new SFTPOption, called 'AllowInsecureLogin'.  This is
	  needed for sites which wish to use/allow SSH2 logins that use the
	  'none' cipher or digest (hopefully just for performance testing).

2014-03-02 08:55  castaglia

	* NEWS, contrib/mod_sftp/mod_sftp.c:
	  Backport of fix for Bug#4032 to 1.3.4 branch.

2014-03-02 08:49  castaglia

	* NEWS, contrib/mod_sftp/mod_sftp.c:
	  Bug#4032 - Restarting proftpd with mod_sftp fails due to
	  permissions on SFTPHostKey file.

2014-03-01 22:09  castaglia

	* tests/t/lib/ProFTPD/Tests/Modules/mod_sftp.pm:
	  Fix the mod_sftp regression tests which SHOULD have caught
	  Bug#4033.

2014-03-01 22:07  castaglia

	* NEWS, contrib/mod_sftp/cipher.c:
	  Bug#4033 - mod_sftp fails to create SSH2 session using 'none'
	  cipher.

2014-03-01 09:34  castaglia

	* tests/t/lib/ProFTPD/Tests/Modules/mod_wrap2_file.pm:
	  Added regression test for Bug#3938.

2014-03-01 09:34  castaglia

	* NEWS, contrib/mod_wrap2/mod_wrap2.c:
	  Bug#3938 - mod_wrap2 uses reverse DNS regardless "UseReverseDNS
	  off".

2014-02-28 10:11  castaglia

	* tests/: tests.pl, t/config/passiveports.t,
	  t/lib/ProFTPD/Tests/Config/PassivePorts.pm:
	  Added regression tests for the PassivePorts directive in various
	  configuration contexts, i.e. "server config", <Global>, and
	  <VirtualHost>.

2014-02-28 07:18  castaglia

	* NEWS, contrib/mod_tls.c:
	  Bug#4029 - TLSOptions EnableDiags logs "unknown version (771)"
	  for TLS 1.1/1.2 connections.

2014-02-23 10:29  castaglia

	* contrib/mod_ban.c:
	  Minor name/string change; no functional change.

2014-02-23 10:07  castaglia

	* contrib/mod_ban.c, tests/t/lib/ProFTPD/Tests/Modules/mod_ban.pm:
	  Allow for custom, user-specified event names in the BanOnEvent
	  directive.  This will make it easier to support rules for events
	  other than the ones that are specially handled, and ease the need
	  to add special handling in the future.

2014-02-23 09:11  castaglia

	* doc/contrib/mod_ban.html:
	  Added support for RootLogin bans.

2014-02-23 09:10  castaglia

	* contrib/mod_ban.c, tests/t/lib/ProFTPD/Tests/Modules/mod_ban.pm:
	  Make it possible to ban clients which attempt to login as root.

2014-02-20 22:06  castaglia

	* tests/t/lib/ProFTPD/Tests/Modules/mod_sftp.pm:
	  Adding reproduction recipe/regression test for Bug#4026.

2014-02-19 14:53  castaglia

	* doc/contrib/mod_sftp.html:
	  Add "Cipher Implementations" section to "Known Client Issues",
	  noting that SBB clients don't handle the blowfish-ctr cipher.

2014-02-18 11:28  castaglia

	* doc/contrib/mod_sftp.html:
	  Fix typo/misnamed cipher in list.

2014-02-15 10:54  castaglia

	* tests/t/lib/ProFTPD/Tests/Modules/mod_sql_sqlite.pm:
	  Adding regression test for Bug#4025.

2014-02-15 10:53  castaglia

	* NEWS, contrib/mod_ifsession.c:
	  Bug#4025 - <IfClass> sections do not work for multiple SQLLog
	  directives.

2014-02-15 00:31  castaglia

	* contrib/mod_sql.c:
	  If SQLEngine is not configured, then DO emit the "no SQLAuthTypes
	  configured" log message if necessary.  Previous commit would not
	  have handled the case where SQLEngine was not explicitly set.

2014-02-14 21:22  castaglia

	* contrib/mod_sql.c:
	  If "SQLEngine log" is configured, then do NOT log a message
	  saying "error: no SQLAuthTypes configured".  Stylistic nits
	  addressed while there.

2014-02-11 07:21  castaglia

	* NEWS, src/fsio.c:
	  Backport of fix for Bug#4022 to 1.3.4 branch.

2014-02-11 07:17  castaglia

	* NEWS, src/fsio.c:
	  Bug#4022 - "Directory not empty" error when creating directory is
	  misleading.

2014-02-11 07:17  castaglia

	* src/stash.c:
	  Fix minor compiler warning when --enable-devel is used.

2014-02-09 12:42  castaglia

	* modules/mod_delay.c:
	  The regression tests caught a small regression in mod_delay,
	  where the fix for Bug#3622 was reverted partly by the fixes for
	  Bug#3970.

2014-02-09 11:41  castaglia

	* tests/t/lib/ProFTPD/Tests/Commands/MKD.pm:
	  Another MKD test, making sure that using a preceding CWD doesn't
	  gum up the works.  Also makes for a nice testbed for
	  pr_fsio_smkdir() issues.

2014-02-09 11:34  castaglia

	* src/fsio.c:
	  Add more logging of error conditions in the pr_fsio_smkdir()
	  function, for better diagnosing some reported MKD errors.

2014-02-09 10:42  castaglia

	* tests/t/lib/ProFTPD/Tests/Modules/mod_rewrite.pm:
	  Yet another data point/reproduction recipe for Bug#4017.

2014-02-08 08:45  castaglia

	* tests/t/lib/ProFTPD/Tests/Config/SocketOptions.pm:
	  Add basic test for SocketOption keepalive.

2014-02-04 16:17  castaglia

	* tests/t/lib/ProFTPD/Tests/Modules/mod_rewrite.pm:
	  Additional regression/reproduction recipe for Bug#4017, this time
	  using PCRE regexes.

2014-02-03 11:31  castaglia

	* tests/t/lib/ProFTPD/Tests/Modules/mod_rewrite.pm:
	  Regression test/reproduction recipe for Bug#4017.

2014-02-01 13:43  castaglia

	* contrib/mod_tls.c:
	  Update mod_tls to start using the pr_netio_t notes table for
	  stashing/retrieving its SSL objects, rather than the strm_data
	  void pointer.  The table is more flexible, and allows for other
	  code to use the keys as needed.

2014-01-31 09:29  castaglia

	* modules/mod_rlimit.c,
	  tests/t/lib/ProFTPD/Tests/Config/RLimitChroot.pm:
	  Allow for per-user (via <IfUser>) setting of the RLimitChroot
	  directive.

2014-01-31 09:08  castaglia

	* doc/modules/mod_rlimit.html:
	  Add description for new RLimitChroot directive to mod_rlimit
	  docs.

2014-01-31 09:06  castaglia

	* src/fsio.c:
	  Match URLs for "Roaring Beast" reports.

2014-01-31 08:53  castaglia

	* tests/: tests.pl, t/config/rlimitchroot.t,
	  t/lib/ProFTPD/Tests/Config/RLimitChroot.pm:
	  Adding regression tests for the new RLimitChroot directive.

2014-01-31 08:52  castaglia

	* NEWS, RELEASE_NOTES, include/fsio.h, modules/mod_rlimit.c,
	  src/fsio.c:
	  Bug#4018 - Implement checks for sensitive directories when
	  chrooted.

2014-01-30 08:50  castaglia

	* doc/modules/mod_core.html:
	  Add description of SocketBindTight directive to mod_core docs,
	  and include FAQ about using it.

2014-01-29 11:50  castaglia

	* tests/t/lib/ProFTPD/Tests/Modules/mod_sftp/rewrite.pm:
	  Adding regression/reproduction recipe for Bug#4017.

2014-01-28 20:32  castaglia

	* tests/t/lib/ProFTPD/Tests/Logging/ExtendedLog.pm:
	  Fix broken (only on MacOSX) test.

2014-01-28 19:49  castaglia

	* tests/t/lib/ProFTPD/Tests/Logging/ExtendedLog.pm:
	  Minor tweaks while investigating Bug#3638.

2014-01-28 18:16  castaglia

	* tests/t/lib/ProFTPD/Tests/Modules/mod_tls.pm:
	  Updated mod_tls tests to work around bug in Net-FTPSSL version
	  0.21's quot() implementation.

2014-01-28 16:07  castaglia

	* contrib/mod_sftp/crypto.c:
	  Make sure that mod_sftp can compile when using an older OpenSSL
	  version.  Tested against openssl-0.9.6b.

2014-01-28 10:08  castaglia

	* include/version.h:
	  Updating version for CVS.

2014-01-28 09:42  castaglia

	* ChangeLog:
	  Updated ChangeLog.

2014-01-28 09:40  castaglia

	* NEWS, contrib/dist/rpm/proftpd.spec, include/version.h:
	  Prepping files for RC.

2014-01-28 09:26  castaglia

	* contrib/mod_sftp/: crypto.c, keys.c, umac.c:
	  Allow mod_sftp to be compiled using an old version of OpenSSL,
	  e.g.	OpenSSL-0.9.6.	Fixes Bug#4016.

2014-01-28 08:58  castaglia

	* contrib/mod_tls.c:
	  Enable mod_tls to be built using old OpenSSL version; tested
	  using OpenSSL-0.9.6h.

2014-01-27 14:08  castaglia

	* doc/contrib/mod_quotatab.html:
	  Try to make the Installation notes for mod_quotatab a little
	  clearer.

2014-01-27 13:41  castaglia

	* tests/t/lib/ProFTPD/Tests/Commands/ALLO.pm:
	  Quell compiler warning about redefined variables.

2014-01-27 10:46  castaglia

	* tests/t/lib/ProFTPD/Tests/Logins.pm:
	  Quell compiler warning about overloaded variables.

2014-01-27 10:42  castaglia

	* tests/t/lib/ProFTPD/TestSuite/Utils.pm:
	  Copy-pasto was blocking the setting of different values for the
	  (as-yet) little used test_setup() function.

2014-01-27 10:34  castaglia

	* tests/api/str.c:
	  With this tweak (of debatable and investigatable value), all of
	  the API tests now pass on my old Linux machine.

2014-01-27 10:31  castaglia

	* tests/api/netaddr.c:
	  Make the INCL_DEVICE API test a little more resilient by
	  providing some fallback device names.

2014-01-27 10:25  castaglia

	* src/fsio.c, tests/api/cmd.c:
	  The API testsuite found some places where we were not properly
	  checking for null strings, which might lead to segfaults.

2014-01-27 09:59  castaglia

	* tests/: Makefile.in, api/stubs.c:
	  Make sure the API testsuite compiles properly when --enable-nls
	  is used.

2014-01-27 09:32  castaglia

	* contrib/mod_snmp/db.c:
	  Quell compiler warning about unused variable.

2014-01-26 17:28  castaglia

	* RELEASE_NOTES, doc/howto/Radius.html, doc/howto/index.html:
	  Adding (finally!) RADIUS howto.

2014-01-26 09:50  castaglia

	* contrib/mod_ban.c:
	  Typo in comment; no functional change.

2014-01-25 08:39  castaglia

	* modules/mod_core.c:
	  Make sure to handle the case where units aren't specified
	  properly.

2014-01-25 08:34  castaglia

	* NEWS, include/options.h, modules/mod_core.c, src/main.c,
	  tests/t/lib/ProFTPD/Tests/Config/CommandBufferSize.pm:
	  Bug#4014 - CommandBufferSize should override
	  PR_DEFAULT_CMD_BUFSZ.

2014-01-24 08:00  castaglia

	* contrib/mod_tls.c:
	  Backport of fix for Bug#4015 to 1.3.4 branch.

2014-01-24 07:56  castaglia

	* contrib/mod_tls.c:
	  Bug#4015 - Possible bad/ambiguous expression found by static code
	  analyzer cppcheck.

2014-01-22 09:51  castaglia

	* doc/howto/TLS.html:
	  Updates to the TLS howto, adding some FAQs and noting that secure
	  FXP transfers are now supported.

2014-01-22 09:14  castaglia

	* doc/howto/SQL.html:
	  Add more links from the SQL howto to the mod_sql docs, and add
	  more substance to the "min ID" question, pointing out the default
	  UID/GID values.

2014-01-21 22:40  castaglia

	* tests/t/lib/ProFTPD/Tests/Modules/mod_auth_file.pm:
	  Update AuthGroupFile world-readable test to match changes to the
	  permissions checking code.

2014-01-21 22:39  castaglia

	* modules/mod_auth_file.c:
	  Alter the permission checks (per Bug#3892) to allow
	  world-readable AuthGroupFiles; there's no sensitive information
	  in there.

2014-01-21 20:18  castaglia

	* doc/modules/mod_auth_file.html:
	  Improve/expand on the FAQ about permissions.

2014-01-21 15:41  castaglia

	* tests/t/lib/ProFTPD/Tests/Commands/RETR.pm:
	  Adding regression test for Bug#4010 (which, I think, is actually
	  a client bug).

2014-01-21 14:44  castaglia

	* RELEASE_NOTES:
	  Update release notes, getting them ready for a release.

2014-01-21 14:39  castaglia

	* doc/contrib/mod_exec.html:
	  Update the ExecOnEvent description to match the code.

2014-01-21 14:32  castaglia

	* doc/contrib/mod_sql.html:
	  Note when the IgnoreConfigFile SQLOption first appeared.

2014-01-21 14:11  castaglia

	* doc/contrib/mod_ldap.html:
	  Add description for LDAPLog directive to mod_ldap docs.

2014-01-20 12:51  castaglia

	* NEWS, contrib/mod_sftp/scp.c:
	  Backport of fix for Bug#4013 to 1.3.4 branch.

2014-01-20 12:50  castaglia

	* tests/t/lib/ProFTPD/Tests/Modules/mod_sftp.pm:
	  Added regression test for Bug#4013.

2014-01-20 12:49  castaglia

	* NEWS, contrib/mod_sftp/scp.c:
	  Bug#4013 - SCP upload of shorter file does not completely
	  overwrite existing file of same name.

2014-01-20 11:37  castaglia

	* tests/t/lib/ProFTPD/Tests/Commands/NLST.pm:
	  Adding regression tests for several NLST bugs, including
	  Bug#4011.

2014-01-20 11:36  castaglia

	* NEWS, include/fsio.h, modules/mod_ls.c, src/fsio.c,
	  tests/api/fsio.c:
	  Bug#4011 - NLST ../ shows current directory contents rather than
	  parent directory.

2014-01-17 10:11  castaglia

	* configure:
	  Updated configure.

2014-01-17 10:04  castaglia

	* configure.in:
	  Fix default location of datadir to be '/usr/local/share', not
	  '/usr/locale/share'.

2014-01-16 22:11  castaglia

	* contrib/mod_sftp/fxp.c,
	  tests/t/lib/ProFTPD/Tests/Modules/mod_sftp.pm:
	  Make sure that SFTP CLOSE requests are logged as either READ or
	  WRITE requests as appropriate (per the ExtendedLog logging
	  classes), but not both.

2014-01-13 10:40  castaglia

	* doc/contrib/mod_sftp.html:
	  Update SFTPClientMatch description for 'sftpUTF8ProtocolVersion',
	  noting the NLS requirement.  Also add FAQ about this, with regard
	  to accepted protocol versions.

2014-01-13 10:25  castaglia

	* contrib/mod_sftp/mod_sftp.c:
	  Backporting improvements to SFTPClientMatch handling from trunk
	  to 1.3.4 branch.

2014-01-13 10:23  castaglia

	* contrib/mod_sftp/mod_sftp.c:
	  If the 'sftpUTF8ProtocolVersion' SFTPClientMatch key is used, AND
	  the proftpd has not been compiled with --enable-nls, then display
	  a more informative error about this situation, instead of acting
	  as if 'sftpUTF8ProtocolVersion' is unknown.

2014-01-07 23:24  castaglia

	* tests/t/lib/ProFTPD/Tests/Modules/mod_tls.pm:
	  Tweaks to the mod_tls testsuite to make it pass (more) on my Mac;
	  I think it's related to the version of Net::FTPSSL being used.

2014-01-06 10:40  castaglia

	* NEWS, contrib/mod_radius.c:
	  Backport of fix for Bug#4006 to 1.3.4 branch.

2014-01-06 10:37  castaglia

	* NEWS, contrib/mod_radius.c:
	  Bug#4006 - RADIUS "service-type" attribute encoded with wrong
	  length on 64-bit system.

2014-01-05 22:58  castaglia

	* tests/: Makefile.in, api/netio.c, api/stubs.c, api/tests.c,
	  api/tests.h:
	  Adding API tests for the NetIO API, focusing heavily on the
	  pr_netio_telnet_gets() function.

2014-01-05 22:57  castaglia

	* include/netio.h, src/netio.c:
	  Make the function for allocating and attaching a pr_buffer_t to a
	  NetIO stream public.

2014-01-03 14:08  castaglia

	* contrib/dist/rpm/proftpd.spec:
	  Updated the .spec file to deal with the change back to .gz files.
	  Find and use the translation files, to avoid rpmbuild errors for
	  packagers.

2014-01-02 23:19  castaglia

	* contrib/mod_deflate.c:
	  Refactor the same note name string into a single #define.

2014-01-02 21:01  castaglia

	* contrib/mod_deflate.c:
	  Update the mod_deflate module to use the new pr_netio_stream_t
	  notes table for stashing the z_stream pointers, rather than the
	  nstrm_data member.

2014-01-02 08:43  castaglia

	* doc/modules/mod_log.html:
	  Fix inaccurate description of %p LogFormat variable.

2014-01-01 20:51  castaglia

	* include/netio.h, src/netio.c:
	  A NetIO stream object now has a table for stashing any/all kinds
	  of module-specific data.  This table will eventually replace the
	  void *strm_data member, once all modules have been updated to use
	  the new table for their stashing.

2014-01-01 18:55  castaglia

	* src/netio.c:
	  Use slightly better, more descriptive names for the default NetIO
	  objects.  Make the code use consistent style, i.e. switch
	  statements, enclosing parentheses around function pointers, etc
	  throughout.  No functional change.

2014-01-01 00:16  castaglia

	* contrib/mod_tls.c:
	  Fix grammar-o in a comment.

2014-01-01 00:04  castaglia

	* src/fsio.c:
	  When reading from a file using pr_fsio_gets(), use the given iosz
	  hint as is, rather than using the smaller size of given buffer vs
	  iosz hint.  The iosz hint, if present, will always be more
	  efficient.  The given buffer can then be filled from the read-in
	  buffer.

2013-12-29 22:38  castaglia

	* src/parser.c:
	  Clean up a few stylistic nits in the parser code; no functional
	  change.

2013-12-29 22:38  castaglia

	* src/fsio.c:
	  Clean up a few stylistic nits in fsio.c; no functional change.

2013-12-29 12:17  castaglia

	* modules/mod_auth.c:
	  Once the "has this client authenticated?" check -- which occurs
	  per-command -- has succeeded, record that success value such that
	  we do not do the same lookup for subsequent commands.  Once a
	  client has authenticated, that state will not change for the
	  duration of the connection.  At least until REIN is implemented.

2013-12-29 12:11  castaglia

	* tests/t/lib/ProFTPD/Tests/Logins.pm:
	  Add regression test for failed logins due to out-of-sequence
	  commands.

2013-12-28 17:16  castaglia

	* tests/t/lib/ProFTPD/TestSuite/FTP.pm:
	  Despite Net::FTP's documentation with regard to FTP firewalls
	  (i.e. proxying), the implementation leaves much to be desired.
	  So I worked around the Net::FTP internals to make it do what I
	  wanted.

2013-12-27 15:38  castaglia

	* NEWS, contrib/mod_sftp/scp.c:
	  Backport of fix for Bug#4004 to 1.3.4 branch.

2013-12-27 15:38  castaglia

	* NEWS, contrib/mod_sftp/scp.c:
	  Bug#4004 - IgnoreSCPUploadPerms SFTPOption not honored properly
	  for SCP directory upload.

2013-12-27 15:37  castaglia

	* tests/t/lib/ProFTPD/Tests/Modules/mod_sftp.pm:
	  Adding regression test for Bug#4004.

2013-12-23 09:53  castaglia

	* include/netaddr.h, src/netaddr.c, tests/api/netaddr.c:
	  Rename the ADDRS_ONLY pr_netaddr_get_addr2() flag to EXCL_DNS, to
	  be more consistent with the naming of similar flags for the
	  option, and to be more descriptive.

2013-12-22 23:22  castaglia

	* include/netaddr.h, src/netaddr.c, tests/api/netaddr.c:
	  Support new flag for pr_netaddr_get_addr2() which can be used to
	  skip DNS name resolutions, and only check whether the given
	  string is a resolvable IP address.  Add missing regression test
	  for pr_netaddr_get_addr2(), with tests for the INCL_DEVICE and
	  ADDRS_ONLY flags.

2013-12-20 11:59  castaglia

	* NEWS, contrib/mod_sftp/dhparams.pem:
	  Bug#4002 - Add 7680-bit DH parameter to mod_sftp bundled
	  dhparams.pem file.

2013-12-20 10:05  castaglia

	* modules/mod_auth_file.c:
	  Try mitigating some of the terror/madness caused by Bug#3892
	  preemptively by using root privs when opening the
	  AuthUserFile/AuthGroupFile for reading.

2013-12-20 09:52  castaglia

	* modules/mod_auth_file.c:
	  Slight tweaks to the error messages logged.

2013-12-20 09:39  castaglia

	* modules/mod_auth_file.c:
	  Add more information to error messages logged by mod_auth_file
	  due to the stricter checks added for Bug#3892.

2013-12-19 15:19  castaglia

	* contrib/mod_wrap2_file.c:
	  Add some helpful logging when mod_wrap2_file performs resolution
	  on the given table path.

2013-12-19 09:55  castaglia

	* doc/contrib/mod_wrap2.html:
	  Fix typos.

2013-12-19 08:33  castaglia

	* NEWS, contrib/mod_sftp/cipher.c, contrib/mod_sftp/mac.c:
	  Backport of fix for Bug#4001 to 1.3.4 branch.

2013-12-19 08:32  castaglia

	* NEWS, contrib/mod_sftp/cipher.c, contrib/mod_sftp/mac.c:
	  Bug#4001 - mod_sftp fails key exchange for 8192-bit DH group.

2013-12-15 21:24  castaglia

	* contrib/mod_sftp/fxp.c:
	  Fix regressions in the handling of <Limit> sections applicable to
	  READDIR SFTP requests, caused by the fix for Bug#3753 and pointed
	  out by Mike Futerko.

2013-12-14 19:59  castaglia

	* src/netaddr.c:
	  When caching the remote session address information, make sure to
	  properly zero out the cache structures first.

2013-12-14 19:55  castaglia

	* tests/t/lib/ProFTPD/TestSuite/Utils.pm:
	  Handle the new test_cleanup function properly, i.e. by going one
	  level deeper into the call stack when writing out to the
	  tests.log file, for accurate reporting of the failing testcase in
	  question.

2013-12-14 17:26  castaglia

	* tests/t/lib/ProFTPD/TestSuite/Utils.pm:
	  Provide a way to tell test_cleanup() to keep the log files
	  around.

2013-12-14 08:51  castaglia

	* contrib/mod_sftp/mod_sftp.c:
	  Fix typo in comment; no functional change.

2013-12-12 08:52  castaglia

	* doc/contrib/mod_geoip.html:
	  Typo.

2013-12-11 22:54  castaglia

	* tests/t/lib/ProFTPD/Tests/Modules/mod_shaper.pm:
	  Checking in reproduction recipe for Bug#3928, for when I can
	  address that issue in the future.

2013-12-11 22:11  castaglia

	* NEWS, RELEASE_NOTES, contrib/mod_exec.c:
	  Bug#3876 - ExecOnEvent should be configurable per
	  <VirtualHost>/<Global>.

2013-12-11 21:48  castaglia

	* tests/t/lib/ProFTPD/Tests/Commands/ALLO.pm:
	  Regression tests for Bug#3996.

2013-12-11 21:40  castaglia

	* NEWS, modules/mod_xfer.c:
	  Bug#3996 - Handling ALLO command can result in wrong response
	  when chrooted.

2013-12-11 16:53  castaglia

	* NEWS, contrib/mod_sftp/keys.c:
	  Backported fix for Bug#3992 to 1.3.4 branch.

2013-12-11 16:38  castaglia

	* NEWS, contrib/mod_sftp/keys.c:
	  Bug#3992 - RSA signature issue when connecting using
	  PuTTY/WinSCP.

2013-12-10 09:26  castaglia

	* contrib/ftpasswd:
	  Fix minor issue with Bug#3994 fix, to prevent multiple --locks on
	  the same user from prepending multiple "lock" characters; just
	  one is enough.

2013-12-09 15:15  castaglia

	* doc/contrib/mod_tls.html:
	  Update mod_tls docs with descriptions for the new EC cert/key
	  directives.

2013-12-09 13:38  castaglia

	* NEWS, RELEASE_NOTES, contrib/mod_tls.c:
	  Bug#3772 - Support Elliptic Curve Cryptography (ECC) certs for
	  FTPS connections.

2013-12-09 11:16  castaglia

	* contrib/mod_quotatab.c, contrib/mod_snmp/db.c, include/fsio.h,
	  modules/mod_delay.c, src/fsio.c, src/scoreboard.c, src/wtmp.c:
	  Refactor some of the common code for getting a usable fd into a
	  new pr_fs_get_usable_fd2() function, and update some of the sites
	  to use the new function.

2013-12-09 10:59  castaglia

	* NEWS, contrib/mod_quotatab.c, modules/mod_delay.c,
	  src/scoreboard.c, src/wtmp.c:
	  Backport of fix for Bug#3970 to 1.3.4 branch.

2013-12-09 10:58  castaglia

	* NEWS, contrib/mod_quotatab.c, contrib/mod_snmp/db.c,
	  modules/mod_delay.c, src/scoreboard.c, src/wtmp.c:
	  Bug#3970 - ProFTPD should not use fd 2 (stderr) for files.

2013-12-08 23:14  castaglia

	* modules/mod_core.c:
	  Fix compiler warning about type mismatch.

2013-12-08 22:29  castaglia

	* tests/t/etc/modules/mod_tls/: NOTES, ec-ca.pem,
	  ec-server-cert.pem:
	  Adding EC certs for tests.

2013-12-08 10:01  castaglia

	* tests/t/lib/ProFTPD/Tests/Config/Limit/Anonymous.pm:
	  Add regression tests for <Anonymous> configs with upload-only
	  directories.

2013-12-08 09:06  castaglia

	* contrib/ftpasswd, doc/contrib/ftpasswd.html:
	  Minor reordering of new --lock, --unlock options, and updating
	  the docs to reflect the new options.

2013-12-08 08:45  castaglia

